Update one Workspace by workspace type, name and tenant, all of them required.
PUT /users/workspaces/{workspaceType}/{workspaceName}
Operation id: WorkspaceService_UpdateWorkspace
Description
Permission Level: Read-Write
Tags: WorkspaceService
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
workspaceName | string | Yes | Name of the workspace. Required: true |
workspaceType | string | Yes | The Workspace type of the workspace. Required: true |
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Request body
Required: Yes
application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
tenantId | string | No | |
newParent | string | No | |
displayName | string | No | |
attributesWrapper | object | No | |
updateScopeOption | object | No | |
updateFieldMask | string | No | |
description | string | No | |
expiration | object | No |
{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"newParent": {
"type": "string"
},
"displayName": {
"type": "string"
},
"attributesWrapper": {
"type": "object",
"properties": {
"workspaceAttributes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"scope": {
"type": "string"
},
"fieldName": {
"type": "string"
},
"value": {
"type": "string"
},
"domain": {
"type": "string"
}
}
}
}
}
},
"updateScopeOption": {
"type": "object",
"properties": {
"scopes": {
"type": "object"
},
"autoRemoveUsers": {
"type": "boolean"
}
}
},
"updateFieldMask": {
"type": "string"
},
"description": {
"type": "string"
},
"expiration": {
"type": "object"
}
}
}
Response models
200 — A successful response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
workspace | object | No |
{
"type": "object",
"properties": {
"workspace": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"parent": {
"type": "string",
"description": "Name of the parent of the workspace. Empty if root workspace."
},
"workspaceType": {
"type": "string"
},
"tenantId": {
"type": "string"
},
"ancestors": {
"type": "array",
"items": {
"type": "string"
}
},
"descendants": {
"type": "array",
"items": {
"type": "string"
}
},
"displayName": {
"type": "string"
},
"attributes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"scope": {
"type": "string"
},
"fieldName": {
"type": "string"
},
"value": {
"type": "string"
},
"domain": {
"type": "string"
}
}
}
},
"users": {
"type": "array",
"items": {
"type": "object",
"properties": {
"tenantId": {
"type": "string",
"description": "The ID of the tenant. Required: false. Defaults to the tenant of the user making the call."
},
"userId": {
"type": "string",
"description": "The user ID. Required: true."
},
"firstName": {
"type": "string",
"description": "The first name. Required: false."
},
"lastName": {
"type": "string",
"description": "The last name. Required: false."
}
}
}
},
"enabledScopes": {
"type": "object"
},
"creationTime": {
"type": "string",
"format": "date-time"
},
"domain": {
"type": "string"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"description": {
"type": "string"
},
"expiration": {
"type": "object"
}
}
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}